
%global meadversion 3.0.2
%global namedversion 3.0.2.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package wildfly-transaction-client}
%{!?scl:%global pkg_name %{name}}

%define maven_version 3.0.2.Final-redhat-00001

Name:           %{?scl_prefix}wildfly-transaction-client
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        WildFly transaction client
Group:          Development/Java

%if %with mead
Source100: wildfly-transaction-client-3.0.2.Final-redhat-00001-project-sources.tar.gz
Source102: wildfly-transaction-client-3.0.2.Final-redhat-00001.pom
Source103: wildfly-transaction-client-3.0.2.Final-redhat-00001-sources.jar
Source104: wildfly-transaction-client-3.0.2.Final-redhat-00001.jar
%endif

License:        ASL 2.0
URL:            https://github.com/wildfly/wildfly-transaction-client
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Client library for applications using transactions with Wildfly.

%if %with javadoc
%package javadoc
Summary:        Javadoc for wildfly-transaction-client
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n wildfly-transaction-client-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/wildfly-transaction-client-%{namedversion}.jar %{buildroot}%{_javadir}/wildfly-transaction-client-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/wildfly-transaction-client-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/wildfly-transaction-client-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/wildfly-transaction-client-%{namedversion}-sources.jar %{buildroot}%{_javadir}/wildfly-transaction-client-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/wildfly-transaction-client-%{namedversion}
unzip -qq %{_sourcedir}/wildfly-transaction-client-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/wildfly-transaction-client-%{namedversion} -x META-INF/\*
%{__ln_s} wildfly-transaction-client-%{namedversion} %{buildroot}%{_javadocdir}/wildfly-transaction-client
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc
%{_javadir}/wildfly-transaction-client-%{namedversion}.jar
%{_javadir}/wildfly-transaction-client.jar
%if %with javadoc
%{_javadir}/wildfly-transaction-client-%{namedversion}-javadoc.jar
%{_javadir}/wildfly-transaction-client-javadoc.jar
%endif
%{_javadir}/wildfly-transaction-client-%{namedversion}-sources.jar
%{_javadir}/wildfly-transaction-client-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/wildfly-transaction-client-%{namedversion}
%{_javadocdir}/wildfly-transaction-client
%endif

%changelog
* Fri Oct 20 2023 cpaas-ops <cpaas-ops@redhat.com> - 3.0.2-1.Final_redhat_00001.1
- Built by CPaaS

* Thu Oct 13 2022 cpaas-ops <cpaas-ops@redhat.com> - 3.0.0-1.Final_redhat_00001.1
- Built by CPaaS

* Tue Oct 11 2022 cpaas-ops <cpaas-ops@redhat.com> - 2.0.1-2.Final_redhat_00002.1
- Built by CPaaS

* Wed May 25 2022 Permaine Cheung <pcheung@redhat.com> - 2.0.1-1.Final_redhat_00001.1
- 2.0.1.Final-redhat-00001
